Support » Theme: Travelify » SSL Compatibility

  • Resolved lemmingzshadow

    (@lemmingzshadow)


    Hi,

    would be nice if in the next version you could implement the following change for SSL compatibility:

    In “travelify/library/functions/functions.php”
    Line 43 (registering the google font) change:
    wp_register_style( 'google_font_ubuntu', 'http://fonts.googleapis.com/css?family=Ubuntu' );

    to:
    wp_register_style( 'google_font_ubuntu', set_url_scheme('http://fonts.googleapis.com/css?family=Ubuntu'));

    This will automatically replace http with https if SSL is enabled.

    Regards

Viewing 3 replies - 1 through 3 (of 3 total)
  • Theme Author Silkalns

    (@silkalns)

    Thank you for pointing that out!

    I think a better solution would be to use it like this:

    wp_register_style( 'google_font_ubuntu', '//fonts.googleapis.com/css?family=Ubuntu' );

    As your given solution was introduced only in WP 3.5 and might break backward compatibility for some users. It would work for most but still someone would be lazy enough not to update to the latest version of WP.

    What do you think about this method?

    Hello,

    sure that’s also okay. Did not notice that set_url_scheme was “that new”.

    Theme Author Silkalns

    (@silkalns)

    Yeah, in WordPress years it’s new 🙂

Viewing 3 replies - 1 through 3 (of 3 total)
  • The topic ‘SSL Compatibility’ is closed to new replies.